package com.muyu.car.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(value = "t_car_message")
public class CarMessage {
    /**
     * 报文表
     */
    @TableId(value = "message_id",type = IdType.AUTO)
    private Long messageId;
    /**
     * 车辆编码
     */
    private String messageCode;
    /**
     * 车辆报文类别
     */
    private String messageType;
    /**
     * 开始位下标
     */
    private Integer messageStartIndex;
    /**
     * 结束位下标
     */
    private Integer messageEndIndex;
    /**
     * 数据类型
     */
    private String messageDataType;
    /**
     * 固定值
     */
    private double fixedValue;
    /**
     * 最小值
     */
    private double minimumValue;
    /**
     * 最大值
     */
    private double maximumValue;
    /**
     * 模版id
     */
    private Long templateId;
    /**
     * 报文标签
     */
    private String messageLabel;

}
