package com.muyu.car.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.car.domain.SysCar;
import com.muyu.car.domain.dto.CarDTO;
import com.muyu.car.domain.vo.CarVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * @author  zmw
 * @description: 配置mybatis配置
 * @Date 2023-11-13 上午 10:05
 */
public interface SysCarMapper extends BaseMapper<CarVO> {
    /**
     * 车辆列表
     * @param queryWrapper
     * @return
     */
    List<CarVO> carList(LambdaQueryWrapper<CarVO> queryWrapper);

    /**
     * 车辆列表2
     * @param carDTO
     * @return
     */
    List<CarVO> CarListShow(CarDTO carDTO);

    /**
     * 通过id查询
     * @param carId
     * @return
     */
    List<CarVO> CarListShowByCarId(@Param("carId") Long carId);
}
