package com.muyu.fault.common;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "fault_log",autoResultMap = true)
public class FaultLog {
    /**
     * 日志ID
     */
    @TableId(value = "faultLogId", type= IdType.AUTO)
    @Schema(defaultValue = "日志ID",type = "Long",description = "日志ID")
    private Long faultLogId;
    /**
     * 故障码
     */
    @Schema(defaultValue = "故障码",type = "String",description = "故障码")
    private String faultLogCodes;
    /**
     * 车辆VIN
     */
    @Schema(defaultValue = "车辆VIN",type = "String",description = "车辆VIN")
    private String faultLogVIN;
    /**
     * 开始报警时间
     */
    @Schema(defaultValue = "开始报警时间",type = "DateTime",description = "开始报警时间")
    private DateTime faultLogStartTime;
    /**
     * 结束报警时间
     */
    @Schema(defaultValue = "结束报警时间",type = "DateTime",description = "结束报警时间")
    private DateTime faultLogEndTime;
}
