package com.muyu.many.datasource;

import com.alibaba.druid.spring.boot3.autoconfigure.DruidDataSourceAutoConfigure;
import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceAutoConfiguration;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * @Author: zi run
 * @Date 2024/9/21 0:04
 * @Description 多数据源启动类
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication(exclude = {
        DataSourceAutoConfiguration.class,
        DruidDataSourceAutoConfigure.class,
        DynamicDataSourceAutoConfiguration.class
})
public class CloudManyDataSourceApplication {
    public static void main(String[] args) {
        SpringApplication.run(CloudManyDataSourceApplication.class, args);
    }
}
